package com.ycwl.basic.controller.mobile;

import com.ycwl.basic.model.task.req.VideoInfoReq;
import com.ycwl.basic.repository.VideoRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api/mobile/video/v1")
public class AppVideoController {
    @Autowired
    private VideoRepository videoRepository;

    @PostMapping("/{videoId}/updateMeta")
    public void updateMeta(@PathVariable("videoId") Long videoId, @RequestBody VideoInfoReq req) {
        videoRepository.updateMeta(videoId, req);
    }
}
